Operations - List
列出 Microsoft.Search 提供程序的所有可用 REST API作。
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01
URI 参数
| 名称 | 在 | 必需 | 类型 | 说明 |
|---|---|---|---|---|
|
api-version
|
query | True |
string |
要用于每个请求的 API 版本。 |
响应
| 名称 | 类型 | 说明 |
|---|---|---|
| 200 OK |
成功。 响应描述作列表。 |
|
| Other Status Codes |
操作 API 失败。 |
安全性
azure_auth
Microsoft Entra ID OAuth2 授权流。
类型:
oauth2
流向:
implicit
授权 URL:
https://login.microsoftonline.com/common/oauth2/authorize
作用域
| 名称 | 说明 |
|---|---|
| user_impersonation | 模拟用户帐户 |
示例
OperationsList
示例请求
GET https://management.azure.com/providers/Microsoft.Search/operations?api-version=2023-11-01
示例响应
{
"value": [
{
"name": "Microsoft.Search/operations/read",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "List all available operations",
"description": "Lists all of the available operations of the Microsoft.Search provider."
}
},
{
"name": "Microsoft.Search/register/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Register the Search Resource Provider",
"description": "Registers the subscription for the search resource provider and enables the creation of search services."
}
},
{
"name": "Microsoft.Search/searchServices/write",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Set Search Service",
"description": "Creates or updates the search service."
}
},
{
"name": "Microsoft.Search/searchServices/read",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Get Search Service",
"description": "Reads the search service."
}
},
{
"name": "Microsoft.Search/searchServices/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Delete Search Service",
"description": "Deletes the search service."
}
},
{
"name": "Microsoft.Search/searchServices/start/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Start Search Service",
"description": "Starts the search service."
}
},
{
"name": "Microsoft.Search/searchServices/stop/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Stop Search Service",
"description": "Stops the search service."
}
},
{
"name": "Microsoft.Search/searchServices/listAdminKeys/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Get Admin Key",
"description": "Reads the admin keys."
}
},
{
"name": "Microsoft.Search/searchServices/regenerateAdminKey/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Regenerate Admin Key",
"description": "Regenerates the admin key."
}
},
{
"name": "Microsoft.Search/searchServices/listQueryKeys/action",
"display": {
"provider": "Microsoft Search",
"resource": "API Keys",
"operation": "Get Query Keys",
"description": "Returns the list of query API keys for the given Azure Search service."
}
},
{
"name": "Microsoft.Search/searchServices/createQueryKey/action",
"display": {
"provider": "Microsoft Search",
"resource": "Search Services",
"operation": "Create Query Key",
"description": "Creates the query key."
}
},
{
"name": "Microsoft.Search/searchServices/deleteQueryKey/delete",
"display": {
"provider": "Microsoft Search",
"resource": "API Keys",
"operation": "Delete Query Key",
"description": "Deletes the query key."
}
},
{
"name": "Microsoft.Search/checkNameAvailability/action",
"display": {
"provider": "Microsoft Search",
"resource": "Service Name Availability",
"operation": "Check Service Name Availability",
"description": "Checks availability of the service name."
}
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/read",
"display": {
"provider": "Microsoft Search",
"resource": "Diagnostic Settings",
"operation": "Get Diagnostic Setting",
"description": "Gets the diganostic setting read for the resource"
}
},
{
"name": "Microsoft.Search/searchServices/diagnosticSettings/write",
"display": {
"provider": "Microsoft Search",
"resource": "Diagnostic Settings",
"operation": "Set Diagnostic Setting",
"description": "Creates or updates the diganostic setting for the resource"
}
},
{
"name": "Microsoft.Search/searchServices/metricDefinitions/read",
"display": {
"provider": "Microsoft Search",
"resource": "The metric definitions for the search service",
"operation": "Read search service metric definitions",
"description": "Gets the available metrics for the search service"
}
},
{
"name": "Microsoft.Search/searchServices/logDefinitions/read",
"display": {
"provider": "Microsoft Search",
"resource": "The log definition for the search service",
"operation": "Read search service log definitions",
"description": "Gets the available logs for the search service"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/validate/action",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Validate Private Endpoint Connection Proxy",
"description": "Validates a private endpoint connection create call from NRP side"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/write",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Create Private Endpoint Connection Proxy",
"description": "Creates a private endpoint connection proxy with the specified parameters or updates the properties or tags for the specified private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/read",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Get Private Endpoint Connection Proxy",
"description": "Returns the list of private endpoint connection proxies or gets the properties for the specified private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnectionProxies/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection Proxy",
"operation": "Delete Private Endpoint Connection Proxy",
"description": "Deletes an existing private endpoint connection proxy"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/write",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Create Private Endpoint Connection",
"description": "Creates a private endpoint connections with the specified parameters or updates the properties or tags for the specified private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/read",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Get Private Endpoint Connection",
"description": "Returns the list of private endpoint connections or gets the properties for the specified private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/privateEndpointConnections/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Private Endpoint Connection",
"operation": "Delete Private Endpoint Connection",
"description": "Deletes an existing private endpoint connections"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/write",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Create Shared Private Link Resource",
"description": "Creates a new shared private link resource with the specified parameters or updates the properties for the specified shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/read",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Get Shared Private Link Resource",
"description": "Returns the list of shared private link resources or gets the properties for the specified shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/delete",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Delete Shared Private Link Resource",
"description": "Deletes an existing shared private link resource"
}
},
{
"name": "Microsoft.Search/searchServices/sharedPrivateLinkResources/operationStatuses/read",
"display": {
"provider": "Microsoft Search",
"resource": "Shared Private Link Resource",
"operation": "Get Operation Status",
"description": "Get the details of a long running shared private link resource operation"
}
}
]
}
定义
| 名称 | 说明 |
|---|---|
|
Cloud |
包含有关 API 错误的信息。 |
|
Cloud |
描述具有错误代码和消息的特定 API 错误。 |
| Display |
描述操作的对象。 |
| Operation |
描述 REST API作。 |
|
Operation |
列出 REST API作的请求的结果。 它包含作列表和 URL,用于获取下一组结果。 |
CloudError
包含有关 API 错误的信息。
| 名称 | 类型 | 说明 |
|---|---|---|
| error |
描述具有错误代码和消息的特定 API 错误。 |
CloudErrorBody
描述具有错误代码和消息的特定 API 错误。
| 名称 | 类型 | 说明 |
|---|---|---|
| code |
string |
比 HTTP 状态代码更准确地描述错误条件的错误代码。 可用于以编程方式处理特定错误案例。 |
| details |
包含与此错误相关的嵌套错误。 |
|
| message |
string |
详细说明错误并提供调试信息的消息。 |
| target |
string |
特定错误的目标(例如,错误中属性的名称)。 |
Display
描述操作的对象。
| 名称 | 类型 | 说明 |
|---|---|---|
| description |
string |
操作的友好名称。 |
| operation |
string |
操作类型:读取、写入、删除、listKeys/action 等。 |
| provider |
string |
资源提供程序的友好名称。 |
| resource |
string |
对其执行操作的资源类型。 |
Operation
描述 REST API作。
| 名称 | 类型 | 说明 |
|---|---|---|
| display |
描述操作的对象。 |
|
| name |
string |
作的名称。 此名称的格式为 {provider}/{resource}/{operation}。 |
OperationListResult
列出 REST API作的请求的结果。 它包含作列表和 URL,用于获取下一组结果。
| 名称 | 类型 | 说明 |
|---|---|---|
| nextLink |
string |
获取下一组作列表结果的 URL(如果有)。 |
| value |
资源提供程序支持的操作列表。 |